Page MenuHomePhabricator

Set up translations on TWN for Wikipedia Preview
Closed, ResolvedPublic

Description

Goal

Allow volunteer translators to support translation of Wikipedia Preview elements

Request

Setup TWN for translations for Wikipedia Preview

Note that this task is in two parts:

  1. Setup i18n folder structure in Wikipedia Preview and use the i18n function to output text to the UI
  2. Request the repo to be connected to translatewiki.net. This will be done by the language team.

Event Timeline

AMuigai created this task.Apr 21 2020, 12:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 21 2020, 12:51 PM
AMuigai moved this task from Backlog to Q2-2020 on the Inuka-Team board.Apr 21 2020, 12:56 PM
AMuigai moved this task from Q2-2020 to Kanban on the Inuka-Team board.Apr 27 2020, 8:20 AM
AMuigai edited projects, added Inuka-Team (Kanban); removed Inuka-Team.
SBisson updated the task description. (Show Details)May 8 2020, 1:50 PM
Nemo_bis added a subscriber: Nemo_bis.

The text currently in the prototype may just go away.

This is rarely a good reason to delay i18n. You might not submit the project yet, but you need to be ready for i18n/l10n.

AMuigai triaged this task as Medium priority.May 14 2020, 1:35 PM
SBisson updated the task description. (Show Details)Jul 3 2020, 4:00 PM
hueitan claimed this task.Jul 23 2020, 2:09 PM
hueitan moved this task from Dev to Code Review on the Inuka-Team (Kanban) board.Jul 28 2020, 1:17 PM

PR : https://github.com/wikimedia/wikipedia-preview/pull/28

The setup code (including qqq.json) is ready for the Translatewiki team once this is merged.

The PR is merged. The repo now has i18n/qqq.json and i18n/en.json. We're pulling strings directly from those files. We'll integrate with banana-i18n when needed.

Let's keep this task in "code review" on the Inuka Kanban board until it is actually added to TWN. Then Pita can QA the whole thing.

Change 617089 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Add support for project Wikpedia Preview

https://gerrit.wikimedia.org/r/617089

abi_ added a subscriber: abi_.EditedJul 29 2020, 11:42 AM

Project setup checklist

Project information

Name: Wikipedia Preview
Website: https://github.com/wikimedia/wikipedia-preview
Logo:

  • Currently using the Wikimedia logo

Project description: Wikipedia Preview is a JavaScript component that allows you to provide context from Wikipedia about words or phrases on any website. It lets you show a popup card with a short summary from Wikipedia when a reader hovers over a link.

Project page:

Project configuration (for translation admins)

Namespace: NS_WIKIMEDIA
Prefix: wikimedia-wikipedia-preview-
Mangler prefix: wikipedia-preview-
Validators: None needed; two messages present currently.

abi_ added a comment.Jul 29 2020, 11:45 AM

@SBisson / @hueitan - Can you confirm that the translatewiki bot has permissions to push to the master branch? We could also setup a PR export process, where the bot pushes to a separate branch (say twn) and creates a PR to the master branch.

@abi_ I've invited the bot to the repo with write access, updated the Translating: page slightly and added to the group descriptions page. We would like the bot to push to the master branch. Thanks!

I have accepted the invite:

You now have push access to the wikimedia/wikipedia-preview repository.

Change 617089 merged by jenkins-bot:
[translatewiki@master] Add support for project Wikpedia Preview

https://gerrit.wikimedia.org/r/617089

abi_ added a comment.Jul 30 2020, 1:16 PM

Wikipedia Preview is deployed on Translatewiki.net: https://translatewiki.net/wiki/Special:Translate?action=translate&group=wikipedia-preview

Exports will be carried out later today.

Jpita added a subscriber: Jpita.

pending discussion on today's daily

AMuigai closed this task as Resolved.Aug 5 2020, 11:44 AM